//FILE: CMainWindow.h
//Defines the CMainWindow class (main frame window) for the 
//CS 460 Image Editor

#if !defined CMAINWINDOW_H

#define CMAINWINDOW_H



// Class CMainWindow
// Main Window Class for CS 460 Image Editor




class CMainWindow : public CFrameWnd {

public:
	int m_cxchar;       // variable to store character width
	int m_cychar;		// variable to store character height
	
	//scrollbar variables.....

	int m_nHScrollPos;  // Horizontal scroll position
    int m_nVScrollPos;  // Vertical scroll position
    int m_nHPageSize;   // Horizontal page size
    int m_nVPageSize;   // Vertical page size
	int m_nViewWidth;
	int m_nViewHeight;
	
	char filename[80];  // name of image file (.bmp or .jpg)

	BMPImage * image;   // pointer to BMPImage object... 

	

	
	
		
	CFont m_controlfont; // font for control text....

	CMainWindow();  //constructor instantiates window
	~CMainWindow(); //destructor destroys window, releases resources
	
	// message handler functions....
	afx_msg int OnCreate (LPCREATESTRUCT lpsc);
	afx_msg void OnPaint();
	afx_msg void OnFileOpen ();
	afx_msg void OnFileSave ();
	afx_msg void OnFileSaveAs ();
	afx_msg void OnFileClose ();
	afx_msg void OnFileExit ();
	afx_msg void OnEditUndo ();
	afx_msg void OnEffectsAdjBrightness ();
	afx_msg void OnEffectsAdjContrast ();
	afx_msg void OnEffectsAdjTint ();
	afx_msg void OnEffectsChToBW ();
	afx_msg void OnEffectsNegative ();
	afx_msg void OnEffectsRotate ();
	afx_msg void OnEffectsMirror ();
	afx_msg void OnZoomIn ();
	afx_msg void OnZoomOut ();
	afx_msg void OnHelpAbout ();

	// Scrollbar functions (overloaded Windows message handlers)

	afx_msg void OnSize (UINT nType, int cx, int cy);
	afx_msg void OnHScroll (UINT nCode, UINT nPos, CScrollBar* pScrollBar);
    afx_msg void OnVScroll (UINT nCode, UINT nPos, CScrollBar* pScrollBar);



	//declare the message map for this class
	DECLARE_MESSAGE_MAP ();

};



#endif

////////CMainWindow.h