//FILE: MyDialogs.h
//Defines Dialog Box classes for the CS460 Image Editor


#if !defined MYDIALOGS_H

#define MYDIALOG_H

//////////////////////////////////////

#include "BMPEdit24.h" //For access to image editing class
#include "CMainWindow.h" //For access to class CMainWindow



// Class CBrightnessDialog
// Creates dialog box for image brightness control

class CBrightnessDialog : public CDialog {

public:
	CBrightnessDialog::CBrightnessDialog () :
	  CDialog(IDD_BRIGHTNESSCTRL) {p=(CMainWindow*)AfxGetMainWnd();}
	


protected:    

	CMainWindow *p;					//pointer to a CMainWindow object.
									//used to obtain access to CMainWindow variables	

	afx_msg void OnBrightUp();		//Message handler for adjusting brightness upward
	afx_msg void OnBrightDown();	//Message handler for adjusting brightness downward
	virtual void PostNcDestroy ();	//Destroys dialog box and returns resources

	//Declare message map for this class
	DECLARE_MESSAGE_MAP (); 

   

};


// Class CContrast Dialog
// Creates dialog box for image contrast control

class CContrastDialog : public CDialog {


public:
	CContrastDialog::CContrastDialog () :
	  CDialog(IDD_CONTRASTCTRL) {p = (CMainWindow*)AfxGetMainWnd();}


protected:
	CMainWindow *p;					//pointer to a CMainWindow object.
									//used to obtain access to CMainWindow variables

	afx_msg void OnContrastUp();	//Message handler for adjusting contrast upward
	afx_msg void OnContrastDown();	//Message handler for adjusting contrast downward
	virtual void PostNcDestroy ();  //Destroys dialog box and returns resources

	//Declare message map for this class
	DECLARE_MESSAGE_MAP (); 

   

};


// Class CTintDialog
// Creates dialog box for image tint control
class CTintDialog : public CDialog{

public:
	CTintDialog::CTintDialog () :
	  CDialog(IDD_TINTCTRL) {p = (CMainWindow*)AfxGetMainWnd();}


protected:

	CMainWindow * p;				//pointer to a CMainWindow object.
									//used to obtain access to CMainWindow variables

	afx_msg void OnRedTintUp();		//Message handler for adjusting red tint upwards
	afx_msg void OnRedTintDown();	//Message handler for adjusting red tint downwards
	afx_msg void OnGreenTintUp();	//Message handler for adjusting green tint upwards
	afx_msg void OnGreenTintDown();	//Message handler for adjusting green tint downwards
	afx_msg void OnBlueTintUp();	//Message handler for adjusting blue tint upwards
	afx_msg void OnBlueTintDown();	//Message handler for adjusting blue tint downwards
	virtual void PostNcDestroy();	//Destroys dialog box and returns resources

	//Declare message map for this class
	DECLARE_MESSAGE_MAP();

};








#endif 